CON
	SYNC_W			= 7*16
	VIDEO_W			= 448
	VIDEO_H			= 240
	CHAR_W			= 56
	CHAR_H			= 30
	FONT_W			= 8
	FONT_H			= 8
	FRONT_PORCH		= 31
	VSYNC_ROWS		= 2
	BOTTOM_PORCH		= 11

VAR
	long	cog

PUB start(sync_mem, pixel_mem, color_mem) : okay
	stop
	sync_ptr := sync_mem
	pixmem_ptr := pixel_mem
	colmem_ptr := color_mem
	frame_addr := sync_mem + 4
	okay := cog := cognew(@entry, 0)

PUB stop
	if cog
		cogstop(cog~~ - 1)
DAT
		org	0
entry
frame
:wait0		rdlong	t1, sync_ptr				' wait for the emitter cog to restart the frame
		cmp	t1, #0			WZ
	if_nz	jmp	#:wait0

		mov	char_rows, #CHAR_H			' number of character rows
		mov	pixptr, pixmem_ptr			' start to write pixels at pixmem_ptr
		mov	colptr, colmem_ptr			' start to write palette at colmem_ptr
		mov	hubptr, frame_addr

		mov	scanline, #0
:row
		mov	cols, #CHAR_W / 2			' {000} do 2 characters and 2 attributes at a time
:col
		rdbyte	chr1, hubptr
		add	hubptr, #1
		shl	chr1, #4				' character code * 16
		add	chr1, font_ptr				' add font pointer

		rdbyte	att1, hubptr
		add	hubptr, #1
		mov	t1, att1
		and	t1, #15

		rdbyte	chr2, hubptr
		add	hubptr, #1
		shl	chr2, #4				' character code * 16
		add	chr2, font_ptr				' add font pointer

		rdbyte	att2, hubptr
		add	hubptr, #1
		mov	t2, att2
		and	t2, #15

		add	t1, #fg_clut_l				' left foreground color lookup table
		movs	:fgcol1, t1
		shr	att1, #4
		add	att1, #bg_clut_l			' left background color lookup table
		movs	:bgcol1, att1

		add	t2, #fg_clut_r				' right foreground color lookup table
		movs	:fgcol2, t2
		shr	att2, #4
		add	att2, #bg_clut_r			' right background color lookup table
		movs	:bgcol2, att2

:fgcol1		mov	colors, 0-0
:bgcol1		or	colors, 0-0
:fgcol2		or	colors, 0-0
:bgcol2		or	colors, 0-0

		wrlong	colors, colptr
		add	colptr, #4

		mov	chrptr, pixptr

		rdword	l00, chr1
		add	chr1, #2

			rdword	r00, chr2
			add	chr2, #2
			shl	r00, #16

		rdword	l01, chr1
		add	chr1, #2
		or	l00, r00

			rdword	r01, chr2
			add	chr2, #2
			shl	r01, #16

		rdword	l02, chr1
		add	chr1, #2
		or	l01, r01

			rdword	r02, chr2
			add	chr2, #2
			shl	r02, #16

		rdword	l03, chr1
		add	chr1, #2
		or	l02, r02

			rdword	r03, chr2
			add	chr2, #2
			shl	r03, #16

		rdword	l04, chr1
		add	chr1, #2
		or	l03, r03

			rdword	r04, chr2
			add	chr2, #2
			shl	r04, #16

		rdword	l05, chr1
		add	chr1, #2
		or	l04, r04

			rdword	r05, chr2
			add	chr2, #2
			shl	r05, #16

		rdword	l06, chr1
		add	chr1, #2
		or	l05, r05

			rdword	r06, chr2
			add	chr2, #2
			shl	r06, #16

		rdword	l07, chr1
		add	chr1, #2
		or	l06, r06

			rdword	r07, chr2
			add	chr2, #2
			shl	r07, #16

		rdword	l08, chr1
		add	chr1, #2
		or	l07, r07

			rdword	r08, chr2
			add	chr2, #2
			shl	r08, #16

#ifdef FONT_8X12
		rdword	l09, chr1
		add	chr1, #2
		or	l08, r08

			rdword	r09, chr2
			add	chr2, #2
			shl	r09, #16

		rdword	l10, chr1
		add	chr1, #2
		or	l09, r09

			rdword	r10, chr2
			add	chr2, #2
			shl	r10, #16

		rdword	l11, chr1
		add	chr1, #2
		or	l10, r10

			rdword	r11, chr2
			add	chr2, #2
			shl	r11, #16

		or	l11, r11
#endif

		and	l00, l_r_colors
		wrlong	l00, chrptr
		add	chrptr, #CHAR_W * 2

		and	l01, l_r_colors
		wrlong	l01, chrptr
		add	chrptr, #CHAR_W * 2

		and	l02, l_r_colors
		wrlong	l02, chrptr
		add	chrptr, #CHAR_W * 2

		and	l03, l_r_colors
		wrlong	l03, chrptr
		add	chrptr, #CHAR_W * 2

		and	l04, l_r_colors
		wrlong	l04, chrptr
		add	chrptr, #CHAR_W * 2

		and	l05, l_r_colors
		wrlong	l05, chrptr
		add	chrptr, #CHAR_W * 2

		and	l06, l_r_colors
		wrlong	l06, chrptr
		add	chrptr, #CHAR_W * 2

		and	l07, l_r_colors
		wrlong	l07, chrptr
		add	chrptr, #CHAR_W * 2

#ifdef FONT_8X12
		and	l08, l_r_colors
		wrlong	l08, chrptr
		add	chrptr, #CHAR_W * 2

		and	l09, l_r_colors
		wrlong	l09, chrptr
		add	chrptr, #CHAR_W * 2

		and	l10, l_r_colors
		wrlong	l10, chrptr
		add	chrptr, #CHAR_W * 2

		and	l11, l_r_colors
		wrlong	l11, chrptr
		add	chrptr, #CHAR_W * 2
#endif
		add	pixptr, #4				' {200} next long in pixel buffer
		djnz	cols, #:col				' {201} next 2 characters

		add	pixptr, pix_row_skip			' {20x+2} adjust to next character row of pixels
		cmp	pixptr, colmem_ptr		WZ
	if_z	mov	pixptr, pixmem_ptr			' {20x+4} wrap pixptr
	if_z	mov	colptr, colmem_ptr			' {20x+5} and also colptr

:wait		rdlong	t1, sync_ptr				' wait for the emitter cog
		cmp	t1, scanline			WC
	if_b	jmp	#:wait
		add	scanline, #1
		djnz	char_rows, #:row			' {20x+6} for all character rows

		jmp	#frame					' {20x+7} next frame

xmm_lock	long	0

font_ptr	long	@@@font
sync_ptr	long	0-0
pixmem_ptr	long	0-0
colmem_ptr	long	0-0
frame_addr	long	0					' address of the frame buffer in XMM

scanline	long	0
c0a0_c1a1	long	0					' char 0, attr 0, char 1, attr 1

' color 0
bg_clut_l	long	%00000011_00000011_00000011_00000011	' black
		long	%00000011_00000011_00000011_00000111	' dark red
		long	%00000011_00000011_00000011_00010011	' dark green
		long	%00000011_00000011_00000011_00010111	' dark yellow (brown)
		long	%00000011_00000011_00000011_01000011	' dark blue
		long	%00000011_00000011_00000011_01000111	' dark magenta
		long	%00000011_00000011_00000011_01010011	' dark cyan
		long	%00000011_00000011_00000011_10101011	' gray
		long	%00000011_00000011_00000011_01010111	' dark gray
		long	%00000011_00000011_00000011_00001011	' red
		long	%00000011_00000011_00000011_00100011	' green
		long	%00000011_00000011_00000011_00101011	' yellow
		long	%00000011_00000011_00000011_10000011	' blue
		long	%00000011_00000011_00000011_10001011	' magenta
		long	%00000011_00000011_00000011_10100011	' cyan
		long	%00000011_00000011_00000011_10101011	' light gray

' color 1
fg_clut_l	long	%00000011_00000011_00000011_00000011	' black
		long	%00000011_00000011_00001011_00000011	' red
		long	%00000011_00000011_00100011_00000011	' green
		long	%00000011_00000011_00101011_00000011	' yellow
		long	%00000011_00000011_10000011_00000011	' blue
		long	%00000011_00000011_10001011_00000011	' magenta
		long	%00000011_00000011_10100011_00000011	' cyan
		long	%00000011_00000011_10101011_00000011	' light gray
		long	%00000011_00000011_01010111_00000011	' dark gray
		long	%00000011_00000011_00001111_00000011	' light red
		long	%00000011_00000011_00110011_00000011	' light green
		long	%00000011_00000011_00111111_00000011	' light yellow
		long	%00000011_00000011_11000011_00000011	' light blue
		long	%00000011_00000011_11001111_00000011	' light magenta
		long	%00000011_00000011_11110011_00000011	' light cyan
		long	%00000011_00000011_11111111_00000011	' white 

' color 2
bg_clut_r	long	%00000011_00000011_00000011_00000011
		long	%00000011_00000111_00000011_00000011
		long	%00000011_00010011_00000011_00000011
		long	%00000011_00010111_00000011_00000011
		long	%00000011_01000011_00000011_00000011
		long	%00000011_01000111_00000011_00000011
		long	%00000011_01010011_00000011_00000011
		long	%00000011_10101011_00000011_00000011
		long	%00000011_01010111_00000011_00000011
		long	%00000011_00001011_00000011_00000011
		long	%00000011_00100011_00000011_00000011
		long	%00000011_00101011_00000011_00000011
		long	%00000011_10000011_00000011_00000011
		long	%00000011_10001011_00000011_00000011
		long	%00000011_10100011_00000011_00000011
		long	%00000011_10101011_00000011_00000011


' color 3
fg_clut_r	long	%00000011_00000011_00000011_00000011
		long	%00001011_00000011_00000011_00000011
		long	%00100011_00000011_00000011_00000011
		long	%00101011_00000011_00000011_00000011
		long	%10000011_00000011_00000011_00000011
		long	%10001011_00000011_00000011_00000011
		long	%10100011_00000011_00000011_00000011
		long	%10101011_00000011_00000011_00000011
		long	%01010111_00000011_00000011_00000011
		long	%00001111_00000011_00000011_00000011
		long	%00110011_00000011_00000011_00000011
		long	%00111111_00000011_00000011_00000011
		long	%11000011_00000011_00000011_00000011
		long	%11001111_00000011_00000011_00000011
		long	%11110011_00000011_00000011_00000011
		long	%11111111_00000011_00000011_00000011

l_r_colors	long	%11111111_11111111_01010101_01010101	' remove bits #1, #3, #5 and #7 from the left color pair
pix_row_skip	long	(FONT_H - 1) * CHAR_W * 2		' distance to the next character pixel row

low_word	long	$0000ffff
null		long	0

hubptr		res	1
outx		res	1
pixptr		res	1
chrptr		res	1
colptr		res	1

colors		res	1
char_rows	res	1
cols		res	1

chr1		res	1
att1		res	1
chr2		res	1
att2		res	1
t1		res	1
t2		res	1

l00		res	1
l01		res	1
l02		res	1
l03		res	1
l04		res	1
l05		res	1
l06		res	1
l07		res	1
l08		res	1
l09		res	1
l10		res	1
l11		res	1

r00		res	1
r01		res	1
r02		res	1
r03		res	1
r04		res	1
r05		res	1
r06		res	1
r07		res	1
r08		res	1
r09		res	1
r10		res	1
r11		res	1

		fit	$1f0
'
' A 8x12 4 color font using only colors #2 and #3
' the odd bits are masked for colors #0 and #1
' in the left half of 16 pixels
'
font
				' chr$(00)
		word	%1010101010101010	' ........
		word	%1011111011111010	' ..##.##.
		word	%1111111111111110	' .#######
		word	%1111111111111110	' .#######
		word	%1011111111111010	' ..#####.
		word	%1010111111101010	' ...###..
		word	%1010101110101010	' ....#...
		word	%1010101010101010	' ........

				' chr$(01)
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1111111111101010	' ...#####
		word	%1111111111101010	' ...#####
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...

				' chr$(02)
		word	%1111101010101010	' ......##
		word	%1111101010101010	' ......##
		word	%1111101010101010	' ......##
		word	%1111101010101010	' ......##
		word	%1111101010101010	' ......##
		word	%1111101010101010	' ......##
		word	%1111101010101010	' ......##
		word	%1111101010101010	' ......##

				' chr$(03)
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111111111	' #####...
		word	%1010101111111111	' #####...
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(04)
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111111111	' #####...
		word	%1010101111111111	' #####...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...

				' chr$(05)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101111111111	' #####...
		word	%1010101111111111	' #####...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...

				' chr$(06)
		word	%1111101010101010	' ......##
		word	%1111111010101010	' .....###
		word	%1011111110101010	' ....###.
		word	%1010111111101010	' ...###..
		word	%1010101111111010	' ..###...
		word	%1010101011111110	' .###....
		word	%1010101010111111	' ###.....
		word	%1010101010101111	' ##......

				' chr$(07)
		word	%1010101010101111	' ##......
		word	%1010101010111111	' ###.....
		word	%1010101011111110	' .###....
		word	%1010101111111010	' ..###...
		word	%1010111111101010	' ...###..
		word	%1011111110101010	' ....###.
		word	%1111111010101010	' .....###
		word	%1111101010101010	' ......##

				' chr$(08)
		word	%1110101010101010	' .......#
		word	%1111101010101010	' ......##
		word	%1111111010101010	' .....###
		word	%1111111110101010	' ....####
		word	%1111111111101010	' ...#####
		word	%1111111111111010	' ..######
		word	%1111111111111110	' .#######
		word	%1111111111111111	' ########

				' chr$(09)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1111111110101010	' ....####
		word	%1111111110101010	' ....####
		word	%1111111110101010	' ....####
		word	%1111111110101010	' ....####

				' chr$(0a)
		word	%1010101010101011	' #.......
		word	%1010101010101111	' ##......
		word	%1010101010111111	' ###.....
		word	%1010101011111111	' ####....
		word	%1010101111111111	' #####...
		word	%1010111111111111	' ######..
		word	%1011111111111111	' #######.
		word	%1111111111111111	' ########

				' chr$(0b)
		word	%1111111110101010	' ....####
		word	%1111111110101010	' ....####
		word	%1111111110101010	' ....####
		word	%1111111110101010	' ....####
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(0c)
		word	%1010101011111111	' ####....
		word	%1010101011111111	' ####....
		word	%1010101011111111	' ####....
		word	%1010101011111111	' ####....
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(0d)
		word	%1111111111111111	' ########
		word	%1111111111111111	' ########
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(0e)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1111111111111111	' ########
		word	%1111111111111111	' ########

				' chr$(0f)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101011111111	' ####....
		word	%1010101011111111	' ####....
		word	%1010101011111111	' ####....
		word	%1010101011111111	' ####....

				' chr$(10)
		word	%1010101010101010	' ........
		word	%1010111111101010	' ...###..
		word	%1010111111101010	' ...###..
		word	%1111111011111110	' .###.###
		word	%1111111011111110	' .###.###
		word	%1010101110101010	' ....#...
		word	%1010111111101010	' ...###..
		word	%1010101010101010	' ........

				' chr$(11)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1111111111101010	' ...#####
		word	%1111111111101010	' ...#####
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...

				' chr$(12)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1111111111111111	' ########
		word	%1111111111111111	' ########
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(13)
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1111111111111111	' ########
		word	%1111111111111111	' ########
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...

				' chr$(14)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010111111111010	' ..####..
		word	%1011111111111110	' .######.
		word	%1011111111111110	' .######.
		word	%1011111111111110	' .######.
		word	%1010111111111010	' ..####..
		word	%1010101010101010	' ........

				' chr$(15)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1111111111111111	' ########
		word	%1111111111111111	' ########
		word	%1111111111111111	' ########
		word	%1111111111111111	' ########

				' chr$(16)
		word	%1010101010101111	' ##......
		word	%1010101010101111	' ##......
		word	%1010101010101111	' ##......
		word	%1010101010101111	' ##......
		word	%1010101010101111	' ##......
		word	%1010101010101111	' ##......
		word	%1010101010101111	' ##......
		word	%1010101010101111	' ##......

				' chr$(17)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1111111111111111	' ########
		word	%1111111111111111	' ########
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...

				' chr$(18)
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1111111111111111	' ########
		word	%1111111111111111	' ########
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(19)
		word	%1010101011111111	' ####....
		word	%1010101011111111	' ####....
		word	%1010101011111111	' ####....
		word	%1010101011111111	' ####....
		word	%1010101011111111	' ####....
		word	%1010101011111111	' ####....
		word	%1010101011111111	' ####....
		word	%1010101011111111	' ####....

				' chr$(1a)
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1111111111101010	' ...#####
		word	%1111111111101010	' ...#####
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(1b)
		word	%1010101111111110	' .####...
		word	%1010101010111110	' .##.....
		word	%1010101111111110	' .####...
		word	%1010101010111110	' .##.....
		word	%1011111111111110	' .######.
		word	%1010101111101010	' ...##...
		word	%1011111111101010	' ...####.
		word	%1010101010101010	' ........

				' chr$(1c)
		word	%1010101010101010	' ........
		word	%1010101111101010	' ...##...
		word	%1010111111111010	' ..####..
		word	%1011111111111110	' .######.
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101010101010	' ........

				' chr$(1d)
		word	%1010101010101010	' ........
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1011111111111110	' .######.
		word	%1010111111111010	' ..####..
		word	%1010101111101010	' ...##...
		word	%1010101010101010	' ........

				' chr$(1e)
		word	%1010101010101010	' ........
		word	%1010101111101010	' ...##...
		word	%1010101011111010	' ..##....
		word	%1011111111111110	' .######.
		word	%1010101011111010	' ..##....
		word	%1010101111101010	' ...##...
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(1f)
		word	%1010101010101010	' ........
		word	%1010101111101010	' ...##...
		word	%1010111110101010	' ....##..
		word	%1011111111111110	' .######.
		word	%1010111110101010	' ....##..
		word	%1010101111101010	' ...##...
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(20)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(21)
		word	%1010101010101010	' ........
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101010101010	' ........
		word	%1010101111101010	' ...##...
		word	%1010101010101010	' ........

				' chr$(22)
		word	%1010101010101010	' ........
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(23)
		word	%1010101010101010	' ........
		word	%1011111010111110	' .##..##.
		word	%1111111111111111	' ########
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1111111111111111	' ########
		word	%1011111010111110	' .##..##.
		word	%1010101010101010	' ........

				' chr$(24)
		word	%1010101111101010	' ...##...
		word	%1011111111111010	' ..#####.
		word	%1010101010111110	' .##.....
		word	%1010111111111010	' ..####..
		word	%1011111010101010	' .....##.
		word	%1010111111111110	' .#####..
		word	%1010101111101010	' ...##...
		word	%1010101010101010	' ........

				' chr$(25)
		word	%1010101010101010	' ........
		word	%1011111010111110	' .##..##.
		word	%1010111110111110	' .##.##..
		word	%1010101111101010	' ...##...
		word	%1010101011111010	' ..##....
		word	%1011111010111110	' .##..##.
		word	%1011111010101110	' .#...##.
		word	%1010101010101010	' ........

				' chr$(26)
		word	%1010111111101010	' ...###..
		word	%1011111011111010	' ..##.##.
		word	%1010111111101010	' ...###..
		word	%1010101111111010	' ..###...
		word	%1111111110111110	' .##.####
		word	%1011111010111110	' .##..##.
		word	%1111101111111010	' ..###.##
		word	%1010101010101010	' ........

				' chr$(27)
		word	%1010101010101010	' ........
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(28)
		word	%1010101010101010	' ........
		word	%1011111110101010	' ....###.
		word	%1010111111101010	' ...###..
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010111111101010	' ...###..
		word	%1011111110101010	' ....###.
		word	%1010101010101010	' ........

				' chr$(29)
		word	%1010101010101010	' ........
		word	%1010101011111110	' .###....
		word	%1010101111111010	' ..###...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111111010	' ..###...
		word	%1010101011111110	' .###....
		word	%1010101010101010	' ........

				' chr$(2a)
		word	%1010101010101010	' ........
		word	%1011111010111110	' .##..##.
		word	%1010111111111010	' ..####..
		word	%1111111111111111	' ########
		word	%1010111111111010	' ..####..
		word	%1011111010111110	' .##..##.
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(2b)
		word	%1010101010101010	' ........
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1011111111111110	' .######.
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(2c)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101011111010	' ..##....

				' chr$(2d)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1011111111111110	' .######.
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(2e)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101010101010	' ........

				' chr$(2f)
		word	%1010101010101010	' ........
		word	%1011111010101010	' .....##.
		word	%1010111110101010	' ....##..
		word	%1010101111101010	' ...##...
		word	%1010101011111010	' ..##....
		word	%1010101010111110	' .##.....
		word	%1010101010101110	' .#......
		word	%1010101010101010	' ........

				' chr$(30)
		word	%1010101010101010	' ........
		word	%1010111111111010	' ..####..
		word	%1011111010111110	' .##..##.
		word	%1011111110111110	' .##.###.
		word	%1011111011111110	' .###.##.
		word	%1011111010111110	' .##..##.
		word	%1010111111111010	' ..####..
		word	%1010101010101010	' ........

				' chr$(31)
		word	%1010101010101010	' ........
		word	%1010101111101010	' ...##...
		word	%1010101111111010	' ..###...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1011111111111110	' .######.
		word	%1010101010101010	' ........

				' chr$(32)
		word	%1010101010101010	' ........
		word	%1010111111111010	' ..####..
		word	%1011111010111110	' .##..##.
		word	%1010111110101010	' ....##..
		word	%1010101111101010	' ...##...
		word	%1010101011111010	' ..##....
		word	%1011111111111110	' .######.
		word	%1010101010101010	' ........

				' chr$(33)
		word	%1010101010101010	' ........
		word	%1011111111111110	' .######.
		word	%1010111110101010	' ....##..
		word	%1010101111101010	' ...##...
		word	%1010111110101010	' ....##..
		word	%1011111010111110	' .##..##.
		word	%1010111111111010	' ..####..
		word	%1010101010101010	' ........

				' chr$(34)
		word	%1010101010101010	' ........
		word	%1010111110101010	' ....##..
		word	%1010111111101010	' ...###..
		word	%1010111111111010	' ..####..
		word	%1010111110111110	' .##.##..
		word	%1011111111111110	' .######.
		word	%1010111110101010	' ....##..
		word	%1010101010101010	' ........

				' chr$(35)
		word	%1010101010101010	' ........
		word	%1011111111111110	' .######.
		word	%1010101010111110	' .##.....
		word	%1010111111111110	' .#####..
		word	%1011111010101010	' .....##.
		word	%1011111010111110	' .##..##.
		word	%1010111111111010	' ..####..
		word	%1010101010101010	' ........

				' chr$(36)
		word	%1010101010101010	' ........
		word	%1010111111111010	' ..####..
		word	%1010101010111110	' .##.....
		word	%1010111111111110	' .#####..
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1010111111111010	' ..####..
		word	%1010101010101010	' ........

				' chr$(37)
		word	%1010101010101010	' ........
		word	%1011111111111110	' .######.
		word	%1011111010101010	' .....##.
		word	%1010111110101010	' ....##..
		word	%1010101111101010	' ...##...
		word	%1010101011111010	' ..##....
		word	%1010101011111010	' ..##....
		word	%1010101010101010	' ........

				' chr$(38)
		word	%1010101010101010	' ........
		word	%1010111111111010	' ..####..
		word	%1011111010111110	' .##..##.
		word	%1010111111111010	' ..####..
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1010111111111010	' ..####..
		word	%1010101010101010	' ........

				' chr$(39)
		word	%1010101010101010	' ........
		word	%1010111111111010	' ..####..
		word	%1011111010111110	' .##..##.
		word	%1011111111111010	' ..#####.
		word	%1011111010101010	' .....##.
		word	%1010111110101010	' ....##..
		word	%1010101111111010	' ..###...
		word	%1010101010101010	' ........

				' chr$(3a)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101010101010	' ........
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101010101010	' ........

				' chr$(3b)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101010101010	' ........
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101011111010	' ..##....

				' chr$(3c)
		word	%1011111010101010	' .....##.
		word	%1010111110101010	' ....##..
		word	%1010101111101010	' ...##...
		word	%1010101011111010	' ..##....
		word	%1010101111101010	' ...##...
		word	%1010111110101010	' ....##..
		word	%1011111010101010	' .....##.
		word	%1010101010101010	' ........

				' chr$(3d)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1011111111111110	' .######.
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1011111111111110	' .######.
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(3e)
		word	%1010101010111110	' .##.....
		word	%1010101011111010	' ..##....
		word	%1010101111101010	' ...##...
		word	%1010111110101010	' ....##..
		word	%1010101111101010	' ...##...
		word	%1010101011111010	' ..##....
		word	%1010101010111110	' .##.....
		word	%1010101010101010	' ........

				' chr$(3f)
		word	%1010101010101010	' ........
		word	%1010111111111010	' ..####..
		word	%1011111010111110	' .##..##.
		word	%1010111110101010	' ....##..
		word	%1010101111101010	' ...##...
		word	%1010101010101010	' ........
		word	%1010101111101010	' ...##...
		word	%1010101010101010	' ........

				' chr$(40)
		word	%1010101010101010	' ........
		word	%1010111111111010	' ..####..
		word	%1011111010111110	' .##..##.
		word	%1011111110111110	' .##.###.
		word	%1011111110111110	' .##.###.
		word	%1010101010111110	' .##.....
		word	%1011111111111010	' ..#####.
		word	%1010101010101010	' ........

				' chr$(41)
		word	%1010101010101010	' ........
		word	%1010101111101010	' ...##...
		word	%1010111111111010	' ..####..
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1011111111111110	' .######.
		word	%1011111010111110	' .##..##.
		word	%1010101010101010	' ........

				' chr$(42)
		word	%1010101010101010	' ........
		word	%1010111111111110	' .#####..
		word	%1011111010111110	' .##..##.
		word	%1010111111111110	' .#####..
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1010111111111110	' .#####..
		word	%1010101010101010	' ........

				' chr$(43)
		word	%1010101010101010	' ........
		word	%1010111111111010	' ..####..
		word	%1011111010111110	' .##..##.
		word	%1010101010111110	' .##.....
		word	%1010101010111110	' .##.....
		word	%1011111010111110	' .##..##.
		word	%1010111111111010	' ..####..
		word	%1010101010101010	' ........

				' chr$(44)
		word	%1010101010101010	' ........
		word	%1010101111111110	' .####...
		word	%1010111110111110	' .##.##..
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1010111110111110	' .##.##..
		word	%1010101111111110	' .####...
		word	%1010101010101010	' ........

				' chr$(45)
		word	%1010101010101010	' ........
		word	%1011111111111110	' .######.
		word	%1010101010111110	' .##.....
		word	%1010111111111110	' .#####..
		word	%1010101010111110	' .##.....
		word	%1010101010111110	' .##.....
		word	%1011111111111110	' .######.
		word	%1010101010101010	' ........

				' chr$(46)
		word	%1010101010101010	' ........
		word	%1011111111111110	' .######.
		word	%1010101010111110	' .##.....
		word	%1010111111111110	' .#####..
		word	%1010101010111110	' .##.....
		word	%1010101010111110	' .##.....
		word	%1010101010111110	' .##.....
		word	%1010101010101010	' ........

				' chr$(47)
		word	%1010101010101010	' ........
		word	%1011111111111010	' ..#####.
		word	%1010101010111110	' .##.....
		word	%1010101010111110	' .##.....
		word	%1011111110111110	' .##.###.
		word	%1011111010111110	' .##..##.
		word	%1011111111111010	' ..#####.
		word	%1010101010101010	' ........

				' chr$(48)
		word	%1010101010101010	' ........
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1011111111111110	' .######.
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1010101010101010	' ........

				' chr$(49)
		word	%1010101010101010	' ........
		word	%1011111111111110	' .######.
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1011111111111110	' .######.
		word	%1010101010101010	' ........

				' chr$(4a)
		word	%1010101010101010	' ........
		word	%1011111010101010	' .....##.
		word	%1011111010101010	' .....##.
		word	%1011111010101010	' .....##.
		word	%1011111010101010	' .....##.
		word	%1011111010111110	' .##..##.
		word	%1010111111111010	' ..####..
		word	%1010101010101010	' ........

				' chr$(4b)
		word	%1010101010101010	' ........
		word	%1011111010111110	' .##..##.
		word	%1010111110111110	' .##.##..
		word	%1010101111111110	' .####...
		word	%1010101111111110	' .####...
		word	%1010111110111110	' .##.##..
		word	%1011111010111110	' .##..##.
		word	%1010101010101010	' ........

				' chr$(4c)
		word	%1010101010101010	' ........
		word	%1010101010111110	' .##.....
		word	%1010101010111110	' .##.....
		word	%1010101010111110	' .##.....
		word	%1010101010111110	' .##.....
		word	%1010101010111110	' .##.....
		word	%1011111111111110	' .######.
		word	%1010101010101010	' ........

				' chr$(4d)
		word	%1010101010101010	' ........
		word	%1111101010111110	' .##...##
		word	%1111111011111110	' .###.###
		word	%1111111111111110	' .#######
		word	%1111101110111110	' .##.#.##
		word	%1111101010111110	' .##...##
		word	%1111101010111110	' .##...##
		word	%1010101010101010	' ........

				' chr$(4e)
		word	%1010101010101010	' ........
		word	%1011111010111110	' .##..##.
		word	%1011111011111110	' .###.##.
		word	%1011111111111110	' .######.
		word	%1011111111111110	' .######.
		word	%1011111110111110	' .##.###.
		word	%1011111010111110	' .##..##.
		word	%1010101010101010	' ........

				' chr$(4f)
		word	%1010101010101010	' ........
		word	%1010111111111010	' ..####..
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1010111111111010	' ..####..
		word	%1010101010101010	' ........

				' chr$(50)
		word	%1010101010101010	' ........
		word	%1010111111111110	' .#####..
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1010111111111110	' .#####..
		word	%1010101010111110	' .##.....
		word	%1010101010111110	' .##.....
		word	%1010101010101010	' ........

				' chr$(51)
		word	%1010101010101010	' ........
		word	%1010111111111010	' ..####..
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1010111110111110	' .##.##..
		word	%1011111011111010	' ..##.##.
		word	%1010101010101010	' ........

				' chr$(52)
		word	%1010101010101010	' ........
		word	%1010111111111110	' .#####..
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1010111111111110	' .#####..
		word	%1010111110111110	' .##.##..
		word	%1011111010111110	' .##..##.
		word	%1010101010101010	' ........

				' chr$(53)
		word	%1010101010101010	' ........
		word	%1010111111111010	' ..####..
		word	%1010101010111110	' .##.....
		word	%1010111111111010	' ..####..
		word	%1011111010101010	' .....##.
		word	%1011111010101010	' .....##.
		word	%1010111111111010	' ..####..
		word	%1010101010101010	' ........

				' chr$(54)
		word	%1010101010101010	' ........
		word	%1011111111111110	' .######.
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101010101010	' ........

				' chr$(55)
		word	%1010101010101010	' ........
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1011111111111110	' .######.
		word	%1010101010101010	' ........

				' chr$(56)
		word	%1010101010101010	' ........
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1010111111111010	' ..####..
		word	%1010101111101010	' ...##...
		word	%1010101010101010	' ........

				' chr$(57)
		word	%1010101010101010	' ........
		word	%1111101010111110	' .##...##
		word	%1111101010111110	' .##...##
		word	%1111101110111110	' .##.#.##
		word	%1111111111111110	' .#######
		word	%1111111011111110	' .###.###
		word	%1111101010111110	' .##...##
		word	%1010101010101010	' ........

				' chr$(58)
		word	%1010101010101010	' ........
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1010111111111010	' ..####..
		word	%1010111111111010	' ..####..
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1010101010101010	' ........

				' chr$(59)
		word	%1010101010101010	' ........
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1010111111111010	' ..####..
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101010101010	' ........

				' chr$(5a)
		word	%1010101010101010	' ........
		word	%1011111111111110	' .######.
		word	%1010111110101010	' ....##..
		word	%1010101111101010	' ...##...
		word	%1010101011111010	' ..##....
		word	%1010101010111110	' .##.....
		word	%1011111111111110	' .######.
		word	%1010101010101010	' ........

				' chr$(5b)
		word	%1010101010101010	' ........
		word	%1011111111101010	' ...####.
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1011111111101010	' ...####.
		word	%1010101010101010	' ........

				' chr$(5c)
		word	%1010101010101010	' ........
		word	%1010101010101110	' .#......
		word	%1010101010111110	' .##.....
		word	%1010101011111010	' ..##....
		word	%1010101111101010	' ...##...
		word	%1010111110101010	' ....##..
		word	%1011111010101010	' .....##.
		word	%1010101010101010	' ........

				' chr$(5d)
		word	%1010101010101010	' ........
		word	%1010101111111110	' .####...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111111110	' .####...
		word	%1010101010101010	' ........

				' chr$(5e)
		word	%1010101010101010	' ........
		word	%1010101110101010	' ....#...
		word	%1010111111101010	' ...###..
		word	%1011111011111010	' ..##.##.
		word	%1111101010111110	' .##...##
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(5f)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1111111111111111	' ########
		word	%1010101010101010	' ........

				' chr$(60)
		word	%1010101010101010	' ........
		word	%1010101111101010	' ...##...
		word	%1010111111111010	' ..####..
		word	%1011111111111110	' .######.
		word	%1011111111111110	' .######.
		word	%1010111111111010	' ..####..
		word	%1010101111101010	' ...##...
		word	%1010101010101010	' ........

				' chr$(61)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010111111111010	' ..####..
		word	%1011111010101010	' .....##.
		word	%1011111111111010	' ..#####.
		word	%1011111010111110	' .##..##.
		word	%1011111111111010	' ..#####.
		word	%1010101010101010	' ........

				' chr$(62)
		word	%1010101010101010	' ........
		word	%1010101010111110	' .##.....
		word	%1010101010111110	' .##.....
		word	%1010111111111110	' .#####..
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1010111111111110	' .#####..
		word	%1010101010101010	' ........

				' chr$(63)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010111111111010	' ..####..
		word	%1010101010111110	' .##.....
		word	%1010101010111110	' .##.....
		word	%1010101010111110	' .##.....
		word	%1010111111111010	' ..####..
		word	%1010101010101010	' ........

				' chr$(64)
		word	%1010101010101010	' ........
		word	%1011111010101010	' .....##.
		word	%1011111010101010	' .....##.
		word	%1011111111111010	' ..#####.
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1011111111111010	' ..#####.
		word	%1010101010101010	' ........

				' chr$(65)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010111111111010	' ..####..
		word	%1011111010111110	' .##..##.
		word	%1011111111111110	' .######.
		word	%1010101010111110	' .##.....
		word	%1010111111111010	' ..####..
		word	%1010101010101010	' ........

				' chr$(66)
		word	%1010101010101010	' ........
		word	%1011111110101010	' ....###.
		word	%1010101111101010	' ...##...
		word	%1011111111111010	' ..#####.
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101010101010	' ........

				' chr$(67)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1011111111111010	' ..#####.
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1011111111111010	' ..#####.
		word	%1011111010101010	' .....##.
		word	%1010111111111110	' .#####..

				' chr$(68)
		word	%1010101010101010	' ........
		word	%1010101010111110	' .##.....
		word	%1010101010111110	' .##.....
		word	%1010111111111110	' .#####..
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1010101010101010	' ........

				' chr$(69)
		word	%1010101010101010	' ........
		word	%1010101111101010	' ...##...
		word	%1010101010101010	' ........
		word	%1010101111111010	' ..###...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010111111111010	' ..####..
		word	%1010101010101010	' ........

				' chr$(6a)
		word	%1010101010101010	' ........
		word	%1011111010101010	' .....##.
		word	%1010101010101010	' ........
		word	%1011111010101010	' .....##.
		word	%1011111010101010	' .....##.
		word	%1011111010101010	' .....##.
		word	%1011111010101010	' .....##.
		word	%1010111111111010	' ..####..

				' chr$(6b)
		word	%1010101010101010	' ........
		word	%1010101010111110	' .##.....
		word	%1010101010111110	' .##.....
		word	%1010111110111110	' .##.##..
		word	%1010101111111110	' .####...
		word	%1010111110111110	' .##.##..
		word	%1011111010111110	' .##..##.
		word	%1010101010101010	' ........

				' chr$(6c)
		word	%1010101010101010	' ........
		word	%1010101111111010	' ..###...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010111111111010	' ..####..
		word	%1010101010101010	' ........

				' chr$(6d)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1011111010111110	' .##..##.
		word	%1111111111111110	' .#######
		word	%1111111111111110	' .#######
		word	%1111101110111110	' .##.#.##
		word	%1111101010111110	' .##...##
		word	%1010101010101010	' ........

				' chr$(6e)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010111111111110	' .#####..
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1010101010101010	' ........

				' chr$(6f)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010111111111010	' ..####..
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1010111111111010	' ..####..
		word	%1010101010101010	' ........

				' chr$(70)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010111111111110	' .#####..
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1010111111111110	' .#####..
		word	%1010101010111110	' .##.....
		word	%1010101010111110	' .##.....

				' chr$(71)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1011111111111010	' ..#####.
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1011111111111010	' ..#####.
		word	%1011111010101010	' .....##.
		word	%1011111010101010	' .....##.

				' chr$(72)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010111111111110	' .#####..
		word	%1011111010111110	' .##..##.
		word	%1010101010111110	' .##.....
		word	%1010101010111110	' .##.....
		word	%1010101010111110	' .##.....
		word	%1010101010101010	' ........

				' chr$(73)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1011111111111010	' ..#####.
		word	%1010101010111110	' .##.....
		word	%1010111111111010	' ..####..
		word	%1011111010101010	' .....##.
		word	%1010111111111110	' .#####..
		word	%1010101010101010	' ........

				' chr$(74)
		word	%1010101010101010	' ........
		word	%1010101111101010	' ...##...
		word	%1011111111111110	' .######.
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1011111110101010	' ....###.
		word	%1010101010101010	' ........

				' chr$(75)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1011111111111010	' ..#####.
		word	%1010101010101010	' ........

				' chr$(76)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1010111111111010	' ..####..
		word	%1010101111101010	' ...##...
		word	%1010101010101010	' ........

				' chr$(77)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1111101010111110	' .##...##
		word	%1111101110111110	' .##.#.##
		word	%1111111111111110	' .#######
		word	%1011111111111010	' ..#####.
		word	%1011111011111010	' ..##.##.
		word	%1010101010101010	' ........

				' chr$(78)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1011111010111110	' .##..##.
		word	%1010111111111010	' ..####..
		word	%1010101111101010	' ...##...
		word	%1010111111111010	' ..####..
		word	%1011111010111110	' .##..##.
		word	%1010101010101010	' ........

				' chr$(79)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1011111111111010	' ..#####.
		word	%1010111110101010	' ....##..
		word	%1010101111111110	' .####...

				' chr$(7a)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1011111111111110	' .######.
		word	%1010111110101010	' ....##..
		word	%1010101111101010	' ...##...
		word	%1010101011111010	' ..##....
		word	%1011111111111110	' .######.
		word	%1010101010101010	' ........

				' chr$(7b)
		word	%1010101010101010	' ........
		word	%1010101111101010	' ...##...
		word	%1010111111111010	' ..####..
		word	%1011111111111110	' .######.
		word	%1011111111111110	' .######.
		word	%1010101111101010	' ...##...
		word	%1010111111111010	' ..####..
		word	%1010101010101010	' ........

				' chr$(7c)
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...

				' chr$(7d)
		word	%1010101010101010	' ........
		word	%1011111111111110	' .######.
		word	%1010101111111110	' .####...
		word	%1010111111111110	' .#####..
		word	%1011111110111110	' .##.###.
		word	%1011111010111110	' .##..##.
		word	%1011111010101010	' .....##.
		word	%1010101010101010	' ........

				' chr$(7e)
		word	%1010101110101010	' ....#...
		word	%1010101111101010	' ...##...
		word	%1010101111111010	' ..###...
		word	%1010101111111110	' .####...
		word	%1010101111111010	' ..###...
		word	%1010101111101010	' ...##...
		word	%1010101110101010	' ....#...
		word	%1010101010101010	' ........

				' chr$(7f)
		word	%1010101011101010	' ...#....
		word	%1010101111101010	' ...##...
		word	%1010111111101010	' ...###..
		word	%1011111111101010	' ...####.
		word	%1010111111101010	' ...###..
		word	%1010101111101010	' ...##...
		word	%1010101011101010	' ...#....
		word	%1010101010101010	' ........
				' chr$(00)
		word	%1010101010101010	' ........
		word	%1011111011111010	' ..##.##.
		word	%1111111111111110	' .#######
		word	%1111111111111110	' .#######
		word	%1011111111111010	' ..#####.
		word	%1010111111101010	' ...###..
		word	%1010101110101010	' ....#...
		word	%1010101010101010	' ........

				' chr$(01)
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1111111111101010	' ...#####
		word	%1111111111101010	' ...#####
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...

				' chr$(02)
		word	%1111101010101010	' ......##
		word	%1111101010101010	' ......##
		word	%1111101010101010	' ......##
		word	%1111101010101010	' ......##
		word	%1111101010101010	' ......##
		word	%1111101010101010	' ......##
		word	%1111101010101010	' ......##
		word	%1111101010101010	' ......##

				' chr$(03)
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111111111	' #####...
		word	%1010101111111111	' #####...
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(04)
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111111111	' #####...
		word	%1010101111111111	' #####...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...

				' chr$(05)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101111111111	' #####...
		word	%1010101111111111	' #####...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...

				' chr$(06)
		word	%1111101010101010	' ......##
		word	%1111111010101010	' .....###
		word	%1011111110101010	' ....###.
		word	%1010111111101010	' ...###..
		word	%1010101111111010	' ..###...
		word	%1010101011111110	' .###....
		word	%1010101010111111	' ###.....
		word	%1010101010101111	' ##......

				' chr$(07)
		word	%1010101010101111	' ##......
		word	%1010101010111111	' ###.....
		word	%1010101011111110	' .###....
		word	%1010101111111010	' ..###...
		word	%1010111111101010	' ...###..
		word	%1011111110101010	' ....###.
		word	%1111111010101010	' .....###
		word	%1111101010101010	' ......##

				' chr$(08)
		word	%1110101010101010	' .......#
		word	%1111101010101010	' ......##
		word	%1111111010101010	' .....###
		word	%1111111110101010	' ....####
		word	%1111111111101010	' ...#####
		word	%1111111111111010	' ..######
		word	%1111111111111110	' .#######
		word	%1111111111111111	' ########

				' chr$(09)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1111111110101010	' ....####
		word	%1111111110101010	' ....####
		word	%1111111110101010	' ....####
		word	%1111111110101010	' ....####

				' chr$(0a)
		word	%1010101010101011	' #.......
		word	%1010101010101111	' ##......
		word	%1010101010111111	' ###.....
		word	%1010101011111111	' ####....
		word	%1010101111111111	' #####...
		word	%1010111111111111	' ######..
		word	%1011111111111111	' #######.
		word	%1111111111111111	' ########

				' chr$(0b)
		word	%1111111110101010	' ....####
		word	%1111111110101010	' ....####
		word	%1111111110101010	' ....####
		word	%1111111110101010	' ....####
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(0c)
		word	%1010101011111111	' ####....
		word	%1010101011111111	' ####....
		word	%1010101011111111	' ####....
		word	%1010101011111111	' ####....
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(0d)
		word	%1111111111111111	' ########
		word	%1111111111111111	' ########
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(0e)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1111111111111111	' ########
		word	%1111111111111111	' ########

				' chr$(0f)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101011111111	' ####....
		word	%1010101011111111	' ####....
		word	%1010101011111111	' ####....
		word	%1010101011111111	' ####....

				' chr$(10)
		word	%1010101010101010	' ........
		word	%1010111111101010	' ...###..
		word	%1010111111101010	' ...###..
		word	%1111111011111110	' .###.###
		word	%1111111011111110	' .###.###
		word	%1010101110101010	' ....#...
		word	%1010111111101010	' ...###..
		word	%1010101010101010	' ........

				' chr$(11)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1111111111101010	' ...#####
		word	%1111111111101010	' ...#####
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...

				' chr$(12)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1111111111111111	' ########
		word	%1111111111111111	' ########
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(13)
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1111111111111111	' ########
		word	%1111111111111111	' ########
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...

				' chr$(14)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010111111111010	' ..####..
		word	%1011111111111110	' .######.
		word	%1011111111111110	' .######.
		word	%1011111111111110	' .######.
		word	%1010111111111010	' ..####..
		word	%1010101010101010	' ........

				' chr$(15)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1111111111111111	' ########
		word	%1111111111111111	' ########
		word	%1111111111111111	' ########
		word	%1111111111111111	' ########

				' chr$(16)
		word	%1010101010101111	' ##......
		word	%1010101010101111	' ##......
		word	%1010101010101111	' ##......
		word	%1010101010101111	' ##......
		word	%1010101010101111	' ##......
		word	%1010101010101111	' ##......
		word	%1010101010101111	' ##......
		word	%1010101010101111	' ##......

				' chr$(17)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1111111111111111	' ########
		word	%1111111111111111	' ########
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...

				' chr$(18)
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1111111111111111	' ########
		word	%1111111111111111	' ########
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(19)
		word	%1010101011111111	' ####....
		word	%1010101011111111	' ####....
		word	%1010101011111111	' ####....
		word	%1010101011111111	' ####....
		word	%1010101011111111	' ####....
		word	%1010101011111111	' ####....
		word	%1010101011111111	' ####....
		word	%1010101011111111	' ####....

				' chr$(1a)
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1111111111101010	' ...#####
		word	%1111111111101010	' ...#####
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(1b)
		word	%1010101111111110	' .####...
		word	%1010101010111110	' .##.....
		word	%1010101111111110	' .####...
		word	%1010101010111110	' .##.....
		word	%1011111111111110	' .######.
		word	%1010101111101010	' ...##...
		word	%1011111111101010	' ...####.
		word	%1010101010101010	' ........

				' chr$(1c)
		word	%1010101010101010	' ........
		word	%1010101111101010	' ...##...
		word	%1010111111111010	' ..####..
		word	%1011111111111110	' .######.
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101010101010	' ........

				' chr$(1d)
		word	%1010101010101010	' ........
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1011111111111110	' .######.
		word	%1010111111111010	' ..####..
		word	%1010101111101010	' ...##...
		word	%1010101010101010	' ........

				' chr$(1e)
		word	%1010101010101010	' ........
		word	%1010101111101010	' ...##...
		word	%1010101011111010	' ..##....
		word	%1011111111111110	' .######.
		word	%1010101011111010	' ..##....
		word	%1010101111101010	' ...##...
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(1f)
		word	%1010101010101010	' ........
		word	%1010101111101010	' ...##...
		word	%1010111110101010	' ....##..
		word	%1011111111111110	' .######.
		word	%1010111110101010	' ....##..
		word	%1010101111101010	' ...##...
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(20)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(21)
		word	%1010101010101010	' ........
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101010101010	' ........
		word	%1010101111101010	' ...##...
		word	%1010101010101010	' ........

				' chr$(22)
		word	%1010101010101010	' ........
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(23)
		word	%1010101010101010	' ........
		word	%1011111010111110	' .##..##.
		word	%1111111111111111	' ########
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1111111111111111	' ########
		word	%1011111010111110	' .##..##.
		word	%1010101010101010	' ........

				' chr$(24)
		word	%1010101111101010	' ...##...
		word	%1011111111111010	' ..#####.
		word	%1010101010111110	' .##.....
		word	%1010111111111010	' ..####..
		word	%1011111010101010	' .....##.
		word	%1010111111111110	' .#####..
		word	%1010101111101010	' ...##...
		word	%1010101010101010	' ........

				' chr$(25)
		word	%1010101010101010	' ........
		word	%1011111010111110	' .##..##.
		word	%1010111110111110	' .##.##..
		word	%1010101111101010	' ...##...
		word	%1010101011111010	' ..##....
		word	%1011111010111110	' .##..##.
		word	%1011111010101110	' .#...##.
		word	%1010101010101010	' ........

				' chr$(26)
		word	%1010111111101010	' ...###..
		word	%1011111011111010	' ..##.##.
		word	%1010111111101010	' ...###..
		word	%1010101111111010	' ..###...
		word	%1111111110111110	' .##.####
		word	%1011111010111110	' .##..##.
		word	%1111101111111010	' ..###.##
		word	%1010101010101010	' ........

				' chr$(27)
		word	%1010101010101010	' ........
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(28)
		word	%1010101010101010	' ........
		word	%1011111110101010	' ....###.
		word	%1010111111101010	' ...###..
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010111111101010	' ...###..
		word	%1011111110101010	' ....###.
		word	%1010101010101010	' ........

				' chr$(29)
		word	%1010101010101010	' ........
		word	%1010101011111110	' .###....
		word	%1010101111111010	' ..###...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111111010	' ..###...
		word	%1010101011111110	' .###....
		word	%1010101010101010	' ........

				' chr$(2a)
		word	%1010101010101010	' ........
		word	%1011111010111110	' .##..##.
		word	%1010111111111010	' ..####..
		word	%1111111111111111	' ########
		word	%1010111111111010	' ..####..
		word	%1011111010111110	' .##..##.
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(2b)
		word	%1010101010101010	' ........
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1011111111111110	' .######.
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(2c)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101011111010	' ..##....

				' chr$(2d)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1011111111111110	' .######.
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(2e)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101010101010	' ........

				' chr$(2f)
		word	%1010101010101010	' ........
		word	%1011111010101010	' .....##.
		word	%1010111110101010	' ....##..
		word	%1010101111101010	' ...##...
		word	%1010101011111010	' ..##....
		word	%1010101010111110	' .##.....
		word	%1010101010101110	' .#......
		word	%1010101010101010	' ........

				' chr$(30)
		word	%1010101010101010	' ........
		word	%1010111111111010	' ..####..
		word	%1011111010111110	' .##..##.
		word	%1011111110111110	' .##.###.
		word	%1011111011111110	' .###.##.
		word	%1011111010111110	' .##..##.
		word	%1010111111111010	' ..####..
		word	%1010101010101010	' ........

				' chr$(31)
		word	%1010101010101010	' ........
		word	%1010101111101010	' ...##...
		word	%1010101111111010	' ..###...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1011111111111110	' .######.
		word	%1010101010101010	' ........

				' chr$(32)
		word	%1010101010101010	' ........
		word	%1010111111111010	' ..####..
		word	%1011111010111110	' .##..##.
		word	%1010111110101010	' ....##..
		word	%1010101111101010	' ...##...
		word	%1010101011111010	' ..##....
		word	%1011111111111110	' .######.
		word	%1010101010101010	' ........

				' chr$(33)
		word	%1010101010101010	' ........
		word	%1011111111111110	' .######.
		word	%1010111110101010	' ....##..
		word	%1010101111101010	' ...##...
		word	%1010111110101010	' ....##..
		word	%1011111010111110	' .##..##.
		word	%1010111111111010	' ..####..
		word	%1010101010101010	' ........

				' chr$(34)
		word	%1010101010101010	' ........
		word	%1010111110101010	' ....##..
		word	%1010111111101010	' ...###..
		word	%1010111111111010	' ..####..
		word	%1010111110111110	' .##.##..
		word	%1011111111111110	' .######.
		word	%1010111110101010	' ....##..
		word	%1010101010101010	' ........

				' chr$(35)
		word	%1010101010101010	' ........
		word	%1011111111111110	' .######.
		word	%1010101010111110	' .##.....
		word	%1010111111111110	' .#####..
		word	%1011111010101010	' .....##.
		word	%1011111010111110	' .##..##.
		word	%1010111111111010	' ..####..
		word	%1010101010101010	' ........

				' chr$(36)
		word	%1010101010101010	' ........
		word	%1010111111111010	' ..####..
		word	%1010101010111110	' .##.....
		word	%1010111111111110	' .#####..
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1010111111111010	' ..####..
		word	%1010101010101010	' ........

				' chr$(37)
		word	%1010101010101010	' ........
		word	%1011111111111110	' .######.
		word	%1011111010101010	' .....##.
		word	%1010111110101010	' ....##..
		word	%1010101111101010	' ...##...
		word	%1010101011111010	' ..##....
		word	%1010101011111010	' ..##....
		word	%1010101010101010	' ........

				' chr$(38)
		word	%1010101010101010	' ........
		word	%1010111111111010	' ..####..
		word	%1011111010111110	' .##..##.
		word	%1010111111111010	' ..####..
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1010111111111010	' ..####..
		word	%1010101010101010	' ........

				' chr$(39)
		word	%1010101010101010	' ........
		word	%1010111111111010	' ..####..
		word	%1011111010111110	' .##..##.
		word	%1011111111111010	' ..#####.
		word	%1011111010101010	' .....##.
		word	%1010111110101010	' ....##..
		word	%1010101111111010	' ..###...
		word	%1010101010101010	' ........

				' chr$(3a)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101010101010	' ........
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101010101010	' ........

				' chr$(3b)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101010101010	' ........
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101011111010	' ..##....

				' chr$(3c)
		word	%1011111010101010	' .....##.
		word	%1010111110101010	' ....##..
		word	%1010101111101010	' ...##...
		word	%1010101011111010	' ..##....
		word	%1010101111101010	' ...##...
		word	%1010111110101010	' ....##..
		word	%1011111010101010	' .....##.
		word	%1010101010101010	' ........

				' chr$(3d)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1011111111111110	' .######.
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1011111111111110	' .######.
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(3e)
		word	%1010101010111110	' .##.....
		word	%1010101011111010	' ..##....
		word	%1010101111101010	' ...##...
		word	%1010111110101010	' ....##..
		word	%1010101111101010	' ...##...
		word	%1010101011111010	' ..##....
		word	%1010101010111110	' .##.....
		word	%1010101010101010	' ........

				' chr$(3f)
		word	%1010101010101010	' ........
		word	%1010111111111010	' ..####..
		word	%1011111010111110	' .##..##.
		word	%1010111110101010	' ....##..
		word	%1010101111101010	' ...##...
		word	%1010101010101010	' ........
		word	%1010101111101010	' ...##...
		word	%1010101010101010	' ........

				' chr$(40)
		word	%1010101010101010	' ........
		word	%1010111111111010	' ..####..
		word	%1011111010111110	' .##..##.
		word	%1011111110111110	' .##.###.
		word	%1011111110111110	' .##.###.
		word	%1010101010111110	' .##.....
		word	%1011111111111010	' ..#####.
		word	%1010101010101010	' ........

				' chr$(41)
		word	%1010101010101010	' ........
		word	%1010101111101010	' ...##...
		word	%1010111111111010	' ..####..
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1011111111111110	' .######.
		word	%1011111010111110	' .##..##.
		word	%1010101010101010	' ........

				' chr$(42)
		word	%1010101010101010	' ........
		word	%1010111111111110	' .#####..
		word	%1011111010111110	' .##..##.
		word	%1010111111111110	' .#####..
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1010111111111110	' .#####..
		word	%1010101010101010	' ........

				' chr$(43)
		word	%1010101010101010	' ........
		word	%1010111111111010	' ..####..
		word	%1011111010111110	' .##..##.
		word	%1010101010111110	' .##.....
		word	%1010101010111110	' .##.....
		word	%1011111010111110	' .##..##.
		word	%1010111111111010	' ..####..
		word	%1010101010101010	' ........

				' chr$(44)
		word	%1010101010101010	' ........
		word	%1010101111111110	' .####...
		word	%1010111110111110	' .##.##..
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1010111110111110	' .##.##..
		word	%1010101111111110	' .####...
		word	%1010101010101010	' ........

				' chr$(45)
		word	%1010101010101010	' ........
		word	%1011111111111110	' .######.
		word	%1010101010111110	' .##.....
		word	%1010111111111110	' .#####..
		word	%1010101010111110	' .##.....
		word	%1010101010111110	' .##.....
		word	%1011111111111110	' .######.
		word	%1010101010101010	' ........

				' chr$(46)
		word	%1010101010101010	' ........
		word	%1011111111111110	' .######.
		word	%1010101010111110	' .##.....
		word	%1010111111111110	' .#####..
		word	%1010101010111110	' .##.....
		word	%1010101010111110	' .##.....
		word	%1010101010111110	' .##.....
		word	%1010101010101010	' ........

				' chr$(47)
		word	%1010101010101010	' ........
		word	%1011111111111010	' ..#####.
		word	%1010101010111110	' .##.....
		word	%1010101010111110	' .##.....
		word	%1011111110111110	' .##.###.
		word	%1011111010111110	' .##..##.
		word	%1011111111111010	' ..#####.
		word	%1010101010101010	' ........

				' chr$(48)
		word	%1010101010101010	' ........
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1011111111111110	' .######.
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1010101010101010	' ........

				' chr$(49)
		word	%1010101010101010	' ........
		word	%1011111111111110	' .######.
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1011111111111110	' .######.
		word	%1010101010101010	' ........

				' chr$(4a)
		word	%1010101010101010	' ........
		word	%1011111010101010	' .....##.
		word	%1011111010101010	' .....##.
		word	%1011111010101010	' .....##.
		word	%1011111010101010	' .....##.
		word	%1011111010111110	' .##..##.
		word	%1010111111111010	' ..####..
		word	%1010101010101010	' ........

				' chr$(4b)
		word	%1010101010101010	' ........
		word	%1011111010111110	' .##..##.
		word	%1010111110111110	' .##.##..
		word	%1010101111111110	' .####...
		word	%1010101111111110	' .####...
		word	%1010111110111110	' .##.##..
		word	%1011111010111110	' .##..##.
		word	%1010101010101010	' ........

				' chr$(4c)
		word	%1010101010101010	' ........
		word	%1010101010111110	' .##.....
		word	%1010101010111110	' .##.....
		word	%1010101010111110	' .##.....
		word	%1010101010111110	' .##.....
		word	%1010101010111110	' .##.....
		word	%1011111111111110	' .######.
		word	%1010101010101010	' ........

				' chr$(4d)
		word	%1010101010101010	' ........
		word	%1111101010111110	' .##...##
		word	%1111111011111110	' .###.###
		word	%1111111111111110	' .#######
		word	%1111101110111110	' .##.#.##
		word	%1111101010111110	' .##...##
		word	%1111101010111110	' .##...##
		word	%1010101010101010	' ........

				' chr$(4e)
		word	%1010101010101010	' ........
		word	%1011111010111110	' .##..##.
		word	%1011111011111110	' .###.##.
		word	%1011111111111110	' .######.
		word	%1011111111111110	' .######.
		word	%1011111110111110	' .##.###.
		word	%1011111010111110	' .##..##.
		word	%1010101010101010	' ........

				' chr$(4f)
		word	%1010101010101010	' ........
		word	%1010111111111010	' ..####..
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1010111111111010	' ..####..
		word	%1010101010101010	' ........

				' chr$(50)
		word	%1010101010101010	' ........
		word	%1010111111111110	' .#####..
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1010111111111110	' .#####..
		word	%1010101010111110	' .##.....
		word	%1010101010111110	' .##.....
		word	%1010101010101010	' ........

				' chr$(51)
		word	%1010101010101010	' ........
		word	%1010111111111010	' ..####..
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1010111110111110	' .##.##..
		word	%1011111011111010	' ..##.##.
		word	%1010101010101010	' ........

				' chr$(52)
		word	%1010101010101010	' ........
		word	%1010111111111110	' .#####..
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1010111111111110	' .#####..
		word	%1010111110111110	' .##.##..
		word	%1011111010111110	' .##..##.
		word	%1010101010101010	' ........

				' chr$(53)
		word	%1010101010101010	' ........
		word	%1010111111111010	' ..####..
		word	%1010101010111110	' .##.....
		word	%1010111111111010	' ..####..
		word	%1011111010101010	' .....##.
		word	%1011111010101010	' .....##.
		word	%1010111111111010	' ..####..
		word	%1010101010101010	' ........

				' chr$(54)
		word	%1010101010101010	' ........
		word	%1011111111111110	' .######.
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101010101010	' ........

				' chr$(55)
		word	%1010101010101010	' ........
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1011111111111110	' .######.
		word	%1010101010101010	' ........

				' chr$(56)
		word	%1010101010101010	' ........
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1010111111111010	' ..####..
		word	%1010101111101010	' ...##...
		word	%1010101010101010	' ........

				' chr$(57)
		word	%1010101010101010	' ........
		word	%1111101010111110	' .##...##
		word	%1111101010111110	' .##...##
		word	%1111101110111110	' .##.#.##
		word	%1111111111111110	' .#######
		word	%1111111011111110	' .###.###
		word	%1111101010111110	' .##...##
		word	%1010101010101010	' ........

				' chr$(58)
		word	%1010101010101010	' ........
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1010111111111010	' ..####..
		word	%1010111111111010	' ..####..
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1010101010101010	' ........

				' chr$(59)
		word	%1010101010101010	' ........
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1010111111111010	' ..####..
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101010101010	' ........

				' chr$(5a)
		word	%1010101010101010	' ........
		word	%1011111111111110	' .######.
		word	%1010111110101010	' ....##..
		word	%1010101111101010	' ...##...
		word	%1010101011111010	' ..##....
		word	%1010101010111110	' .##.....
		word	%1011111111111110	' .######.
		word	%1010101010101010	' ........

				' chr$(5b)
		word	%1010101010101010	' ........
		word	%1011111111101010	' ...####.
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1011111111101010	' ...####.
		word	%1010101010101010	' ........

				' chr$(5c)
		word	%1010101010101010	' ........
		word	%1010101010101110	' .#......
		word	%1010101010111110	' .##.....
		word	%1010101011111010	' ..##....
		word	%1010101111101010	' ...##...
		word	%1010111110101010	' ....##..
		word	%1011111010101010	' .....##.
		word	%1010101010101010	' ........

				' chr$(5d)
		word	%1010101010101010	' ........
		word	%1010101111111110	' .####...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111111110	' .####...
		word	%1010101010101010	' ........

				' chr$(5e)
		word	%1010101010101010	' ........
		word	%1010101110101010	' ....#...
		word	%1010111111101010	' ...###..
		word	%1011111011111010	' ..##.##.
		word	%1111101010111110	' .##...##
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........

				' chr$(5f)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1111111111111111	' ########
		word	%1010101010101010	' ........

				' chr$(60)
		word	%1010101010101010	' ........
		word	%1010101111101010	' ...##...
		word	%1010111111111010	' ..####..
		word	%1011111111111110	' .######.
		word	%1011111111111110	' .######.
		word	%1010111111111010	' ..####..
		word	%1010101111101010	' ...##...
		word	%1010101010101010	' ........

				' chr$(61)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010111111111010	' ..####..
		word	%1011111010101010	' .....##.
		word	%1011111111111010	' ..#####.
		word	%1011111010111110	' .##..##.
		word	%1011111111111010	' ..#####.
		word	%1010101010101010	' ........

				' chr$(62)
		word	%1010101010101010	' ........
		word	%1010101010111110	' .##.....
		word	%1010101010111110	' .##.....
		word	%1010111111111110	' .#####..
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1010111111111110	' .#####..
		word	%1010101010101010	' ........

				' chr$(63)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010111111111010	' ..####..
		word	%1010101010111110	' .##.....
		word	%1010101010111110	' .##.....
		word	%1010101010111110	' .##.....
		word	%1010111111111010	' ..####..
		word	%1010101010101010	' ........

				' chr$(64)
		word	%1010101010101010	' ........
		word	%1011111010101010	' .....##.
		word	%1011111010101010	' .....##.
		word	%1011111111111010	' ..#####.
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1011111111111010	' ..#####.
		word	%1010101010101010	' ........

				' chr$(65)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010111111111010	' ..####..
		word	%1011111010111110	' .##..##.
		word	%1011111111111110	' .######.
		word	%1010101010111110	' .##.....
		word	%1010111111111010	' ..####..
		word	%1010101010101010	' ........

				' chr$(66)
		word	%1010101010101010	' ........
		word	%1011111110101010	' ....###.
		word	%1010101111101010	' ...##...
		word	%1011111111111010	' ..#####.
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101010101010	' ........

				' chr$(67)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1011111111111010	' ..#####.
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1011111111111010	' ..#####.
		word	%1011111010101010	' .....##.
		word	%1010111111111110	' .#####..

				' chr$(68)
		word	%1010101010101010	' ........
		word	%1010101010111110	' .##.....
		word	%1010101010111110	' .##.....
		word	%1010111111111110	' .#####..
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1010101010101010	' ........

				' chr$(69)
		word	%1010101010101010	' ........
		word	%1010101111101010	' ...##...
		word	%1010101010101010	' ........
		word	%1010101111111010	' ..###...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010111111111010	' ..####..
		word	%1010101010101010	' ........

				' chr$(6a)
		word	%1010101010101010	' ........
		word	%1011111010101010	' .....##.
		word	%1010101010101010	' ........
		word	%1011111010101010	' .....##.
		word	%1011111010101010	' .....##.
		word	%1011111010101010	' .....##.
		word	%1011111010101010	' .....##.
		word	%1010111111111010	' ..####..

				' chr$(6b)
		word	%1010101010101010	' ........
		word	%1010101010111110	' .##.....
		word	%1010101010111110	' .##.....
		word	%1010111110111110	' .##.##..
		word	%1010101111111110	' .####...
		word	%1010111110111110	' .##.##..
		word	%1011111010111110	' .##..##.
		word	%1010101010101010	' ........

				' chr$(6c)
		word	%1010101010101010	' ........
		word	%1010101111111010	' ..###...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010111111111010	' ..####..
		word	%1010101010101010	' ........

				' chr$(6d)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1011111010111110	' .##..##.
		word	%1111111111111110	' .#######
		word	%1111111111111110	' .#######
		word	%1111101110111110	' .##.#.##
		word	%1111101010111110	' .##...##
		word	%1010101010101010	' ........

				' chr$(6e)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010111111111110	' .#####..
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1010101010101010	' ........

				' chr$(6f)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010111111111010	' ..####..
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1010111111111010	' ..####..
		word	%1010101010101010	' ........

				' chr$(70)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010111111111110	' .#####..
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1010111111111110	' .#####..
		word	%1010101010111110	' .##.....
		word	%1010101010111110	' .##.....

				' chr$(71)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1011111111111010	' ..#####.
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1011111111111010	' ..#####.
		word	%1011111010101010	' .....##.
		word	%1011111010101010	' .....##.

				' chr$(72)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1010111111111110	' .#####..
		word	%1011111010111110	' .##..##.
		word	%1010101010111110	' .##.....
		word	%1010101010111110	' .##.....
		word	%1010101010111110	' .##.....
		word	%1010101010101010	' ........

				' chr$(73)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1011111111111010	' ..#####.
		word	%1010101010111110	' .##.....
		word	%1010111111111010	' ..####..
		word	%1011111010101010	' .....##.
		word	%1010111111111110	' .#####..
		word	%1010101010101010	' ........

				' chr$(74)
		word	%1010101010101010	' ........
		word	%1010101111101010	' ...##...
		word	%1011111111111110	' .######.
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1011111110101010	' ....###.
		word	%1010101010101010	' ........

				' chr$(75)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1011111111111010	' ..#####.
		word	%1010101010101010	' ........

				' chr$(76)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1010111111111010	' ..####..
		word	%1010101111101010	' ...##...
		word	%1010101010101010	' ........

				' chr$(77)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1111101010111110	' .##...##
		word	%1111101110111110	' .##.#.##
		word	%1111111111111110	' .#######
		word	%1011111111111010	' ..#####.
		word	%1011111011111010	' ..##.##.
		word	%1010101010101010	' ........

				' chr$(78)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1011111010111110	' .##..##.
		word	%1010111111111010	' ..####..
		word	%1010101111101010	' ...##...
		word	%1010111111111010	' ..####..
		word	%1011111010111110	' .##..##.
		word	%1010101010101010	' ........

				' chr$(79)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1011111010111110	' .##..##.
		word	%1011111111111010	' ..#####.
		word	%1010111110101010	' ....##..
		word	%1010101111111110	' .####...

				' chr$(7a)
		word	%1010101010101010	' ........
		word	%1010101010101010	' ........
		word	%1011111111111110	' .######.
		word	%1010111110101010	' ....##..
		word	%1010101111101010	' ...##...
		word	%1010101011111010	' ..##....
		word	%1011111111111110	' .######.
		word	%1010101010101010	' ........

				' chr$(7b)
		word	%1010101010101010	' ........
		word	%1010101111101010	' ...##...
		word	%1010111111111010	' ..####..
		word	%1011111111111110	' .######.
		word	%1011111111111110	' .######.
		word	%1010101111101010	' ...##...
		word	%1010111111111010	' ..####..
		word	%1010101010101010	' ........

				' chr$(7c)
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...
		word	%1010101111101010	' ...##...

				' chr$(7d)
		word	%1010101010101010	' ........
		word	%1011111111111110	' .######.
		word	%1010101111111110	' .####...
		word	%1010111111111110	' .#####..
		word	%1011111110111110	' .##.###.
		word	%1011111010111110	' .##..##.
		word	%1011111010101010	' .....##.
		word	%1010101010101010	' ........

				' chr$(7e)
		word	%1010101110101010	' ....#...
		word	%1010101111101010	' ...##...
		word	%1010101111111010	' ..###...
		word	%1010101111111110	' .####...
		word	%1010101111111010	' ..###...
		word	%1010101111101010	' ...##...
		word	%1010101110101010	' ....#...
		word	%1010101010101010	' ........

				' chr$(7f)
		word	%1010101011101010	' ...#....
		word	%1010101111101010	' ...##...
		word	%1010111111101010	' ...###..
		word	%1011111111101010	' ...####.
		word	%1010111111101010	' ...###..
		word	%1010101111101010	' ...##...
		word	%1010101011101010	' ...#....
		word	%1010101010101010	' ........
